Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155074 - hotplug gets stuck.
Summary: hotplug gets stuck.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hotplug
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 23:48 UTC by Dave Jones
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 23:06:35 UTC


Attachments (Terms of Use)

Description Dave Jones 2005-04-15 23:48:56 UTC
I did an upgrade of an FC3 to rawhide, and on logging in, found that everything
was really sluggish. Firing up top showed that the CPUs were both at 100% !

These two..

 3811 root      20  -5  5268  404  328 R 92.3  0.0  24:03.47 05-pam_console.
 3997 root      20  -5  5268  404  328 R 90.6  0.0  23:19.10 default.hotplug

Take it in turns to be scheduled, and do.. bugger all.
strace of those processes shows no output whatsoever.

sysrq-t shows..
05-pam_consol R  running task       0  3811   7552                     (NOTLB)
bash          S ffff81002e4e0170     0  7571   4634  7620    7768  7449 (NOTLB)
ffff81006fea3eb8 0000000000000086 ffff81002e4e0170 0000000000000002
       ffffffff80543720 0000000000000239 00000074000001e3 ffff81002e4e0380
       ffff81002e4e0170 ffff81002e1770f0
Call Trace:<ffffffff8013d51e>{do_wait+2798}
<ffffffff80134440>{default_wake_function+0}
       <ffffffff8019d59c>{sys_ioctl+108} <ffffffff8010ea72>{system_call+126}

default.hotpl R  running task       0  3997   7674                     (NOTLB)
bash          S ffff81002d6ad880     0  7768   4634  7813          7571 (NOTLB)
ffff81002de2beb8 0000000000000082 ffff81002d6ad880 0000000000000002
       ffffffff80543720 00000000000000f3 00000074000001e3 ffff81002d6ada90
       ffff81002d6ad880 ffff8100302a00f0
Call Trace:<ffffffff8013d51e>{do_wait+2798}
<ffffffff80134440>{default_wake_function+0}
       <ffffffff8019d59c>{sys_ioctl+108} <ffffffff8010ea72>{system_call+126}


What they're waiting for is a mystery to me.

more oddness.. something is calling sys_swapon once a second.
in 30 mins of uptime, its been called over 10,000 times.

Comment 1 Dave Jones 2005-04-15 23:54:59 UTC
killing these processes brings back a speedy desktop. The calls to swapon still
occur though. Wieeeerd.

Comment 2 Dave Jones 2005-04-15 23:57:42 UTC
false alarm on the sys_swapon -- wrong System.map in use. (its slab debug :-)

Why hotplug went nuts is still a mystery though.

Comment 3 Bill Nottingham 2005-04-16 02:42:59 UTC
I'd love to know what that ioctl was..... if you can reproduce it, what files do
they have open?

Comment 4 Bill Nottingham 2005-10-03 22:16:49 UTC
You still seeing this? (Woo, I get to do this this time. :) )

Comment 5 Dave Jones 2005-10-03 23:06:35 UTC
nope, only ever happened once.  *shrug* rawhide oddness of the day I suppose.



Note You need to log in before you can comment on or make changes to this bug.